      logical function within_view(counter_clockwise_limit, bearing,
     &   clockwise_limit)

c  Test whether the given bearing is in the interval from
c  counter_clockwise_limit to clockwise_limit

      within_view =
     &   (clockwise_diff(bearing, clockwise_limit) .gt. 0.0) .and.
     &   (clockwise_diff(bearing, counter_clockwise_limit) .lt. 0.0)
      return
      end

      function clockwise_diff(angle1, angle2)

c  Clockwise difference from angle1 to angle2, degrees

      clockwise_diff = angle2 - angle1
      if (clockwise_diff .lt. 0.0) then
         if (clockwise_diff .ge. -180.) return
         clockwise_diff = clockwise_diff + 360.
      else
         if (clockwise_diff .lt. 180.) return
         clockwise_diff = clockwise_diff - 360.
      end if
      return
      end
